org.apache.hadoop.service.launcher

## Class ServiceLauncher.MinimalGenericOptionsParser

- java.lang.Object
- - org.apache.hadoop.util.GenericOptionsParser
  - - org.apache.hadoop.service.launcher.ServiceLauncher.MinimalGenericOptionsParser

- Enclosing class:
    ServiceLauncher<S extends Service>

      protected static class ServiceLauncher.MinimalGenericOptionsParser
      extends org.apache.hadoop.util.GenericOptionsParser

  A generic options parser which does not parse any of the traditional Hadoop options.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinimalGenericOptionsParser(Configuration conf, org.apache.commons.cli.Options options, String[] args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.commons.cli.Options` | `buildGeneralOptions(org.apache.commons.cli.Options opts)` Specify properties of each generic option.

    - ### Methods inherited from class org.apache.hadoop.util.GenericOptionsParser

      `getCommandLine, getConfiguration, getLibJars, getRemainingArgs, isParseSuccessful, printGenericCommandUsage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinimalGenericOptionsParser

          public MinimalGenericOptionsParser(Configuration conf,
                                             org.apache.commons.cli.Options options,
                                             String[] args)
                                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### buildGeneralOptions

          protected org.apache.commons.cli.Options buildGeneralOptions(org.apache.commons.cli.Options opts)

      Description copied from class: `org.apache.hadoop.util.GenericOptionsParser`
      Specify properties of each generic option. ImportantOptionBuilder is not thread safe, subclasses must synchronize use on `OptionBuilder.class`
      Overrides:
        `buildGeneralOptions` in class `org.apache.hadoop.util.GenericOptionsParser`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.